Skip to main content
GET
Grouped Citations

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.

Query Parameters

startDate
string<date>

Start date for citation data (YYYY-MM-DD). Max range 90 days.

endDate
string<date>

End date for citation data (YYYY-MM-DD). Max range 90 days.

models

Filter by LLM models. Repeat for multiple: models=x&models=y

promptId
string

Filter by specific prompt ID

llmMonitorId
string

Filter by specific LLM monitor ID

promptTypes

Filter by prompt type. Repeat for multiple

Available options:
ORGANIC,
BRAND_SPECIFIC,
COMPETITOR_COMPARISON
domains

Filter by domains. Repeat for multiple: domains=x&domains=y

tagIds

Filter by prompt tag IDs. Repeat for multiple

topicIds

Filter by topic IDs. Repeat for multiple

contentTypes

Filter by URL content type. Repeat for multiple

Available options:
NEWS_ARTICLE,
OPINION,
LISTICLE,
HOW_TO,
REVIEW,
COMPARISON,
CASE_STUDY,
INTERVIEW,
VIDEO,
PODCAST,
INFOGRAPHIC,
RESEARCH_PAPER,
REPORT,
DOCUMENTATION,
WIKI,
PRODUCT_PAGE,
LANDING_PAGE,
FORUM_POST,
SOCIAL_POST,
COMMENT,
QA,
PRESS_RELEASE,
FAQ,
GLOSSARY,
OTHER
sourceTypes

Filter by URL source type. Repeat for multiple

Available options:
NEWS,
BLOG,
CORPORATE,
ACADEMIC,
GOVERNMENT,
WIKI,
INSTAGRAM,
TIKTOK,
X,
REDDIT,
YOUTUBE,
FACEBOOK,
LINKEDIN,
GITHUB,
STACKOVERFLOW,
MEDIUM,
SUBSTACK,
HACKERNEWS,
QUORA,
OTHER

Search within cited URL / title / domain

hideIgnoredBrands
boolean

Exclude domains belonging to ignored brands

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
size
integer
default:25

Number of results per page

Required range: 1 <= x <= 100
sortBy
enum<string>
default:count

Field to sort by

Available options:
count,
avgPosition,
minPosition,
maxPosition,
domainRank,
domainAuthorityScore,
estimatedTraffic,
pageRank,
domainName,
url
sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc

Response

Default Response

data
object[]
required

Per-URL grouped citation rows

pagination
object
required